> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Get the line items of a payable

GET https://api.sandbox.monite.com/v1/payables/{payable_id}/line_items

Get a list of all line items related to a specific payable.
Related guide: [List all payable line items](https://docs.monite.com/accounts-payable/payables/line-items#list-all-line-items-of-a-payable)

See also:

[Manage line items](https://docs.monite.com/accounts-payable/payables/line-items)

[Collect payables](https://docs.monite.com/accounts-payable/payables/collect)

Reference: https://docs.monite.com/api/payable-line-items/get-payables-id-line-items

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Path parameters

- `payable_id` (string, required)

### Query parameters

- `order` (enum, optional) — Sort order (ascending by default). Typically used together with the `sort` parameter.
  - Allowed values: `asc`, `desc`
- `limit` (integer, optional, default: 100) — The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.
- `pagination_token` (string, optional) — A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If `pagination_token` is specified, all other query parameters are ignored and inferred from the initial query. If not specified, the first page of results will be returned.
- `sort` (enum, optional) — The field to sort the results by. Typically used together with the `order` parameter.
  - Allowed values: `created_at`, `updated_at`
- `was_created_by_user_id` (string, optional)

### Headers

- `x-monite-version` (string, required)
- `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource.

## Response

### 200

Successful Response

- `data` (list of LineItemResponse, required)
- `next_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the next page of results, or `null` if there is no next page (i.e. you've reached the last page).
- `prev_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the previous page of results, or `null` if there is no previous page (i.e. you've reached the first page).

## Errors

### 400 Get Payables ID Line Items Request Bad Request Error

Bad Request

- `error` (ErrorSchema2, required)

### 401 Get Payables ID Line Items Request Unauthorized Error

The `Authorization` header is missing or contains an invalid or expired access token. See [Authentication](https://docs.monite.com/api/concepts/authentication) to learn how to authenticate API calls.

- `error` (ErrorSchema2, required)

### 403 Get Payables ID Line Items Request Forbidden Error

The specified access token does not have permissions to perform this operation.

- `error` (ErrorSchema2, required)

### 404 Get Payables ID Line Items Request Not Found Error

A payable with the specified ID was not found.

- `any`

### 406 Get Payables ID Line Items Request Not Acceptable Error

Not Acceptable

- `error` (ErrorSchema2, required)

### 422 Get Payables ID Line Items Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 429 Get Payables ID Line Items Request Too Many Requests Error

API rate limit has been exceeded. Check the response headers for the rate limit information.

- `any`

## Types

### LineItemResponse

- `id` (string, required)
- `payable_id` (string, required)
- `accounting_tax_rate_id` (string, optional) — ID of the tax rate reference used for accounting integartion. May be used to override auto-picked tax rate reference in accounting platform in case of any platform-specific constraints.
- `description` (string, optional) — Description of the product.
- `ledger_account_id` (string, optional) — ID of the account record used to store bookkeeping entries for balance-sheet and income-statement transactions.
- `name` (string, optional) — Name of the product.
- `ocr_set_quantity_to_one` (boolean, optional, default: false) — Indicates whether the item's `unit_price` and `quantity` were adjusted by OCR.
- `quantity` (double, optional) — The quantity of each of the goods, materials, or services listed in the payable.
- `subtotal` (integer, optional) — The subtotal (excluding VAT), in [minor units](https://docs.monite.com/references/currencies#minor-units).
- `tax` (integer, optional) — VAT rate in percent [minor units](https://docs.monite.com/references/currencies#minor-units). Example: 12.5% is 1250.
- `tax_amount` (integer, optional) — Tax amount in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250.
- `total` (integer, optional) — The actual price of the product.
- `unit` (string, optional) — The unit of the product
- `unit_price` (integer, optional) — The unit price of the product, in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250.
- `was_created_by_user_id` (string, optional) — ID of the user who created the tag.

### ErrorSchema2

- `message` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "id",
      "payable_id": "payable_id",
      "accounting_tax_rate_id": "dd13735f-ef3a-4312-8c37-835d70341375",
      "description": "description",
      "ledger_account_id": "7df884fd-8be8-4eba-b6ff-417b66efe033",
      "name": "name",
      "ocr_set_quantity_to_one": false,
      "quantity": 1.22,
      "subtotal": 1250,
      "tax": 2000,
      "tax_amount": 250,
      "total": 1200,
      "unit": "meter",
      "unit_price": 1500,
      "was_created_by_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
    }
  ],
  "next_pagination_token": "next_pagination_token",
  "prev_pagination_token": "prev_pagination_token"
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/payables/payable_id/line_items"

headers = {
    "x-monite-version": "2024-05-25",
    "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/payables/payable_id/line_items';
const options = {
  method: 'GET',
  headers: {
    'x-monite-version': '2024-05-25',
    'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/payables/payable_id/line_items"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-monite-version", "2024-05-25")
	req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/payables/payable_id/line_items")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-monite-version"] = '2024-05-25'
request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sandbox.monite.com/v1/payables/payable_id/line_items")
  .header("x-monite-version", "2024-05-25")
  .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sandbox.monite.com/v1/payables/payable_id/line_items', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    'x-monite-version' => '2024-05-25',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/payables/payable_id/line_items");
var request = new RestRequest(Method.GET);
request.AddHeader("x-monite-version", "2024-05-25");
request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2024-05-25",
  "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/payables/payable_id/line_items")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```